KURLPixmapProvider Class Reference

`#include <kurlpixmapprovider.h>`

Inherits KPixmapProvider.

## Public Member Functions

virtual QPixmap | pixmapFor (const QString &url, int size=0)

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

Implementation of KPixmapProvider.

Uses KMimeType::pixmapForURL() to resolve icons.

Instatiate this class and supply it to the desired class, e.g.

KHistoryCombo *combo = new KHistoryCombo( this );
combo->setPixmapProvider( new KURLPixmapProvider );
[...]

Resolves pixmaps for URLs

Author
  Carsten Pfeiffer pfeif.nosp@m.fer@.nosp@m.kde.o.nosp@m.rg

Definition at line 42 of file kurlpixmapprovider.h.

## Member Function Documentation

QPixmap KURLPixmapProvider::pixmapFor | ( | const QString & | url,
|  | int | size = `0`
| ) |  |

virtual

Returns a pixmap for `url` with size `size`.

Uses KMimeType::pixmapForURL().

Parameters

  url | the URL to fetch a pixmap for
  size | the size of the pixmap in pixels, or 0 for default.

Returns
  the resulting pixmap

See also
  KIcon::StdSizes

Definition at line 23 of file kurlpixmapprovider.cpp.

The documentation for this class was generated from the following files:

- kurlpixmapprovider.h
- kurlpixmapprovider.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys